//datainfo.h
#if ! defined(DATAINFO_H)
#define DATAINFO_H
#include<stdio.h>


class DataInfoAndPrepro{
private:
	int  N, Nout,Nv,ClustersSoFar,OutputFlag;
	double **GlobalWtsMartrix,*DistanceMeasure,*Inputs, *Outputs;
	double *InputMean, *InputVariance,*OutlierDistance;
	double **GlobalCrossCor, **GlobalAutoCor, ***ModWts, **ClusterCenters;
	FILE *fileinfo, *fpTestingdata;
	char DatafileName[100];
	char WeightsFileName[100];
public:
	DataInfoAndPrepro();
	void GetDataInformationFromUser();
	void init();
	void ProcessData();
	
	~DataInfoAndPrepro();
};
#endif
